#include<bits/stdc++.h>
using namespace std;

char s[1000000];
int b[26];

int main(){
	int n;
	cin>>n;
	for(int i=0 ; i<n ; i++)cin>>s[i];

	bool ok=true;
	if(s[0]!='A')ok=false;
	else b[0]=1;	
	int i=0,j=1;
	for(i ; i<26 ; i++){
		while(j<n){
			if(s[j]==char(65+i))b[i]++;
			else if(s[j]==char(65+i+1)){
				break;	
			}
			else if(s[j]>char(65+i+1)){
				ok=false;
				break;
			}
			j++;
		}
		if(!ok)break;
	}
	
	long long a=1;
	if(i!=26)cout<<0;
	else {
		for(int i=0 ; i<26 ; i++){
			a*=b[i];
			if(a>=1000000007){
				a=a-(a/1000000007)*1000000007;
			}
		}
		cout<<a;
	}
}